## org.eclipse.emf.compare.epatch.recorder
Class EpatchRecorder

    java.lang.Object
      org.eclipse.emf.compare.epatch.AbstractEpatchBuilder
          org.eclipse.emf.compare.epatch.recorder.EpatchRecorder

All Implemented Interfaces:
  EmfRecorder.RecorderListener

    public class EpatchRecorder

extends AbstractEpatchBuilder
implements EmfRecorder.RecorderListener

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.compare.epatch.AbstractEpatchBuilder
`AbstractEpatchBuilder.NamingTool<T>`

Field Summary
`protected java.util.Map<org.eclipse.emf.ecore.EObject,java.lang.String>` `fragMap`
`protected EmfRecorder` `recorder`
`protected java.util.Map<org.eclipse.emf.ecore.resource.Resource,NamedResource>` `resMap`

Fields inherited from class org.eclipse.emf.compare.epatch.AbstractEpatchBuilder
`epatch, fc, importMap, NULL, objMap`

Constructor Summary
`EpatchRecorder(org.eclipse.emf.common.notify.Notifier notifier, java.lang.String name)`
`EpatchRecorder(java.lang.String name)`

Method Summary
`protected void` `addListAddAssignments(ListAssignment ass, java.util.Collection<AssignmentValue> addValues)`
`protected void` `addListRemoveAssignments(ListAssignment ass, java.util.Collection<AssignmentValue> values)`
`void` `addRootObject(org.eclipse.emf.common.notify.Notifier obj)`
`protected void` `addToFragMap(org.eclipse.emf.ecore.EObject obj)`
`protected void` `consolidateChanges()`
`protected void` `consolidateObjectRefs()`
`protected void` `consolidateResources()`
`Epatch` `endRecording()`
`protected AssignmentValue` `getAssignmentMoveValue(org.eclipse.emf.ecore.EStructuralFeature feat, int index, int refIndex)`
`protected AssignmentValue` `getAssignmentValueEObject(org.eclipse.emf.ecore.EReference ref, org.eclipse.emf.ecore.EObject eobj)`
`protected ObjectNew` `getObjectNew(org.eclipse.emf.ecore.EObject obj)`
`protected NamedObject` `getObjectReadded(org.eclipse.emf.ecore.EObject eobj)`
`protected NamedObject` `getObjectRef(org.eclipse.emf.ecore.EObject obj)`
`protected Epatch` `getRecorded()`
`protected NamedResource` `getResource(org.eclipse.emf.ecore.resource.Resource res)`
`void` `handleFeature(org.eclipse.emf.ecore.EStructuralFeature feature, org.eclipse.emf.ecore.EReference containment, org.eclipse.emf.common.notify.Notification notification, org.eclipse.emf.ecore.EObject object)`
`protected boolean` `isCreate(NamedObject obj)`
`protected boolean` `isRemovedValue(org.eclipse.emf.ecore.EObject obj)`
`protected java.lang.String` `newURI(java.lang.String uri)`
`protected void` `removeIfNotNeededAnymore(ModelImport imp)`
`protected void` `removeUnneededObjectRefs()`
`protected void` `removeUnneededResources()`

Methods inherited from class org.eclipse.emf.compare.epatch.AbstractEpatchBuilder
`createEpatch, createObjectNew, generateNames, getAssignmentValue, getAssignmentValueDataType, getAssignmentValueNull, getFragment, getImportName, getImportRef, getListAssignment, getListAssignmentValue, getNameForObj, getSingleAssignment, ignoreFeature, sortAssignmentValue, sortLists, sortNamedObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fragMap

    protected java.util.Map<org.eclipse.emf.ecore.EObject,java.lang.String> fragMap

### recorder

    protected EmfRecorder recorder

### resMap

    protected java.util.Map<org.eclipse.emf.ecore.resource.Resource,NamedResource> resMap

Constructor Detail

### EpatchRecorder

    public EpatchRecorder(org.eclipse.emf.common.notify.Notifier notifier,
                          java.lang.String name)

### EpatchRecorder

    public EpatchRecorder(java.lang.String name)

Method Detail

### addListAddAssignments

    protected void addListAddAssignments(ListAssignment ass,
                                         java.util.Collection<AssignmentValue> addValues)

### addListRemoveAssignments

    protected void addListRemoveAssignments(ListAssignment ass,
                                            java.util.Collection<AssignmentValue> values)

### addRootObject

    public void addRootObject(org.eclipse.emf.common.notify.Notifier obj)

### addToFragMap

    protected void addToFragMap(org.eclipse.emf.ecore.EObject obj)

### consolidateChanges

    protected void consolidateChanges()

### consolidateObjectRefs

    protected void consolidateObjectRefs()

### consolidateResources

    protected void consolidateResources()

### endRecording

    public Epatch endRecording()

### getAssignmentMoveValue

    protected AssignmentValue getAssignmentMoveValue(org.eclipse.emf.ecore.EStructuralFeature feat,
                                                     int index,
                                                     int refIndex)

### getAssignmentValueEObject

    protected AssignmentValue getAssignmentValueEObject(org.eclipse.emf.ecore.EReference ref,
                                                        org.eclipse.emf.ecore.EObject eobj)

  Specified by:
    `getAssignmentValueEObject` in class `AbstractEpatchBuilder`

### getObjectNew

    protected ObjectNew getObjectNew(org.eclipse.emf.ecore.EObject obj)

### getObjectReadded

    protected NamedObject getObjectReadded(org.eclipse.emf.ecore.EObject eobj)

### getObjectRef

    protected NamedObject getObjectRef(org.eclipse.emf.ecore.EObject obj)

### getRecorded

    protected Epatch getRecorded()

### getResource

    protected NamedResource getResource(org.eclipse.emf.ecore.resource.Resource res)

### handleFeature

    public void handleFeature(org.eclipse.emf.ecore.EStructuralFeature feature,
                              org.eclipse.emf.ecore.EReference containment,
                              org.eclipse.emf.common.notify.Notification notification,
                              org.eclipse.emf.ecore.EObject object)

  Specified by:
    `handleFeature` in interface `EmfRecorder.RecorderListener`

### isCreate

    protected boolean isCreate(NamedObject obj)

### isRemovedValue

    protected boolean isRemovedValue(org.eclipse.emf.ecore.EObject obj)

### newURI

    protected java.lang.String newURI(java.lang.String uri)

### removeIfNotNeededAnymore

    protected void removeIfNotNeededAnymore(ModelImport imp)

### removeUnneededObjectRefs

    protected void removeUnneededObjectRefs()

### removeUnneededResources

    protected void removeUnneededResources()

Copyright 2006 IBM Corporation and others. All Rights Reserved.